Bug 263251 - www/grafana8: update to 8.4.6
Summary: www/grafana8: update to 8.4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-13 05:32 UTC by Sir l33tname
Modified: 2022-04-22 12:50 UTC (History)
4 users (show)

See Also:
drtr0jan: maintainer-feedback+
drtr0jan: merge-quarterly?


Attachments
patch (184.04 KB, patch)
2022-04-13 05:32 UTC, Sir l33tname
no flags Details | Diff
testport output (101.74 KB, text/plain)
2022-04-13 05:32 UTC, Sir l33tname
sirl33tname: maintainer-approval-
Details
grafana8.diff (630 bytes, patch)
2022-04-13 06:25 UTC, Boris Korzun
drtr0jan: maintainer-approval+
Details | Diff
patch upgrade to 8.4.6 (184.04 KB, patch)
2022-04-13 17:50 UTC, Sir l33tname
no flags Details | Diff
testport output (101.82 KB, text/plain)
2022-04-13 17:51 UTC, Sir l33tname
no flags Details
patch upgrade to 8.4.6 using go117 (183.50 KB, application/mbox)
2022-04-14 06:02 UTC, jan
no flags Details
grafana8.diff (630 bytes, patch)
2022-04-14 07:41 UTC, Boris Korzun
drtr0jan: maintainer-approval+
Details | Diff
tesport output - patch upgrade to 8.4.6 using go117 (101.59 KB, text/plain)
2022-04-14 19:45 UTC, Sir l33tname
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sir l33tname 2022-04-13 05:32:08 UTC
Created attachment 233183 [details]
patch

Updates the grafana8 to 8.4.5.
Main thing to do that is that with GO 1.18 new alerts will break grafana
and this should be fixed here see https://github.com/grafana/grafana/issues/47093

Since i have no idea how Go or the FreeBSD Go packaging works please review.

Attached testport result and the port runs with my config (which does not need the new alerts)


Thanks https://twitter.com/jan666 for doing most of the work on this patch.
Comment 1 Sir l33tname 2022-04-13 05:32:46 UTC
Created attachment 233184 [details]
testport output
Comment 2 Boris Korzun 2022-04-13 06:05:23 UTC
Hi Sir l33tname,

I'm waiting fix for https://github.com/grafana/grafana/issues/45752.

I'll try to build grafana 8.3.6 with Go 1.17 and return back.
Comment 3 Boris Korzun 2022-04-13 06:25:57 UTC
Created attachment 233186 [details]
grafana8.diff

Sir l33tnam, try the attached patch (build with Go 1.17).
Comment 4 Sir l33tname 2022-04-13 17:50:14 UTC
Created attachment 233200 [details]
patch upgrade to 8.4.6
Comment 5 Sir l33tname 2022-04-13 17:51:36 UTC
Created attachment 233201 [details]
testport output
Comment 6 Sir l33tname 2022-04-13 17:57:54 UTC
Boris Korzun I mean we can run this port with go1.17 if the latest release does not work with go1.18 

but for me it works now but i dont use the new alerts
Comment 7 Boris Korzun 2022-04-14 05:53:57 UTC
Comment on attachment 233200 [details]
patch upgrade to 8.4.6

The patch doesn't fix:
- https://github.com/grafana/grafana/issues/45752
- https://github.com/grafana/grafana/issues/47093
Comment 8 jan 2022-04-14 06:02:45 UTC
Created attachment 233209 [details]
patch upgrade to 8.4.6 using go117

I combined both patches (had to make makesum to update distinfo). So now it's 8.4.6 using go117. works perfect for me (no crashes like when building with go118)
Comment 9 Boris Korzun 2022-04-14 07:41:47 UTC
Created attachment 233211 [details]
grafana8.diff

Approved update to 8.3.6_2 (with go117).
Comment 10 Sir l33tname 2022-04-14 19:45:11 UTC
Created attachment 233225 [details]
tesport output - patch upgrade to 8.4.6 using go117

I tested the patch from Jan looks good to me lets go with this patch and remove the go117 with the next version if grafana works with go118
Comment 11 commit-hook freebsd_committer 2022-04-20 15:25:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=84e9e60267fa5b19ab022b8c8b750513b678a84d

commit 84e9e60267fa5b19ab022b8c8b750513b678a84d
Author:     Boris Korzun <drtr0jan@yandex.ru>
AuthorDate: 2022-04-20 15:15:24 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2022-04-20 15:17:47 +0000

    www/grafana8: Fix runtime issue.

    grafana8 8.3.6 doesn't work with go 1.18. Switch to go 1.17

    PR:             263251

 www/grafana8/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 12 Mikael Urankar freebsd_committer 2022-04-20 15:57:21 UTC
Thanks!

Please open a new pr if you want to update the port to 8.4.6
Comment 13 Sir l33tname 2022-04-20 16:24:56 UTC
sure but why didn't you pick my patch? This was my issue which was cooped by Boris 

im super confused what is happening here tbh - anyway please have a look at #263438 and let me know if anything is missing to be commited
Comment 14 Mikael Urankar freebsd_committer 2022-04-20 17:28:11 UTC
(In reply to Sir l33tname from comment #13)
The maintainer has approved the patch at comment 9 not the upgrade to 8.4
Comment 15 Boris Korzun 2022-04-20 18:42:32 UTC
(In reply to Sir l33tname from comment #13)

Your patch has been affected by regression from https://github.com/grafana/grafana/issues/45752

I'm preparing update to 8.4.7. It will be approved after testing.
Comment 16 Boris Korzun 2022-04-20 18:48:17 UTC
(In reply to Mikael Urankar from comment #12)

I think, commit should be merged to quarterly as lang/go has been upgraded to 1.18 in quarterly too.
Comment 17 Mikael Urankar freebsd_committer 2022-04-21 06:45:49 UTC
(In reply to Boris Korzun from comment #16)
lang/go117 is not merged in 2022Q2
Comment 18 commit-hook freebsd_committer 2022-04-22 12:50:22 UTC
A commit in branch 2022Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8691a46b4456391c3df6566f8ecd1208201f5e8f

commit 8691a46b4456391c3df6566f8ecd1208201f5e8f
Author:     Boris Korzun <drtr0jan@yandex.ru>
AuthorDate: 2022-04-20 15:15:24 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2022-04-22 11:47:20 +0000

    www/grafana8: Fix runtime issue.

    grafana8 8.3.6 doesn't work with go 1.18. Switch to go 1.17

    PR:             263251
    (cherry picked from commit 84e9e60267fa5b19ab022b8c8b750513b678a84d)

 www/grafana8/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)